<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_county_include.php
| Author: HobbyMan
| Web: http://www.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/


if (!defined("IN_FUSION")) { die("Access Denied"); }

$gen_set = 1; //0 = Just text; 1 = text + image; 2 = Just images.
$with_secret = FALSE; // True for additiona unspecified option
$input_type = 'form_select'; // form_select or form_checkbox (up to you)
$uf_county = [
    0  => $locale['uf_county_no'],
    1  => $locale['uf_county_Arad'],
    2  => $locale['uf_county_Bako'],
    3  => $locale['uf_county_Besz'],
    4  => $locale['uf_county_Biho'],
    5  => $locale['uf_county_Bras'],
    6  => $locale['uf_county_Fehe'],
    7  => $locale['uf_county_Harg'],
    8  => $locale['uf_county_Huny'],
    9  => $locale['uf_county_Kolo'],
    10 => $locale['uf_county_Kova'],
    11 => $locale['uf_county_Kras'],
    12 => $locale['uf_county_Mara'],
    13 => $locale['uf_county_Maro'],
    14 => $locale['uf_county_Szat'],
    15 => $locale['uf_county_Szeb'],
    16 => $locale['uf_county_Szil'],
    17 => $locale['uf_county_Teme'],
   
];
$county_kep = [
    '0' => '', // Text
    '1' => ['no', 'Arad', 'Bako', 'Besz', 'Biho', 'Bras', 'Fehe', 'Harg', 'Harg', 'Huny', 'Kolo', 'Kova', 'Kras', 'Mara', 'Maro', 'Szat', 'Szeb', 'Szil', 'Teme'],  // Image + text
    '2' => ['no', 'Arad', 'Bako', 'Besz', 'Biho', 'Bras', 'Fehe', 'Harg', 'icab', 'Huny', 'Kolo', 'Kova', 'Kras', 'Mara', 'Maro', 'Szat', 'Szeb', 'Szil', 'Teme'],  // Image
];
for ($i = 0; $i < count($uf_county); $i++) {
    switch ($gen_set) {
        case 2:
            $value = "<img src='".IMAGES."user_fields/county/".strtolower($county_kep[$gen_set][$i]).".png' style='width: 16px;' alt='".$uf_county[$i]."' title='".$uf_county[$i]."'/>";
            break;
        case 1:
            $value = "<img src='".IMAGES."user_fields/county/".strtolower($county_kep[$gen_set][$i]).".png' style='width: 16px;' alt='".$uf_county[$i]."' title='".$uf_county[$i]."'/> ".$uf_county[$i];
            break;
        default:
            $value = $uf_county[$i];
    }
    $county_szkep[] = $value;
}

if (!$with_secret) {
    unset($county_szkep[count($county_szkep) - 1]);
}

if ($profile_method == "input") {
    $options = [
            'type'       => 'radio',
            'inline'     => TRUE,
            'error_text' => $locale['uf_county_error'],
            'options'    => $county_szkep,
        ] + $options;

    $user_fields = $input_type('user_county', $locale['uf_county'], $field_value, $options);

} elseif ($profile_method == "display") {
    if ($field_value) {
        $user_fields = [
            'title' => $locale['uf_county'],
            'value' => $county_szkep[$field_value]
        ];
    }

}